﻿using System.Windows;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WpfDesktopEdition;

namespace OneWayStreets
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void WpfMap_Loaded(object sender, RoutedEventArgs e)
        {
            wpfMap1.MapUnit = GeographyUnit.DecimalDegree;
            LayerOverlay streetsOverlay = new LayerOverlay();
            wpfMap1.Overlays.Add(streetsOverlay);

            //Adds the street Layer for Austin
            ShapeFileFeatureLayer austinStreetsShapeLayer = new ShapeFileFeatureLayer(@"..\..\App_Data\AustinWithOneWayRoad.shp");
            austinStreetsShapeLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;
            //Adds the first LineStyle for displaying the streets
            austinStreetsShapeLayer.ZoomLevelSet.ZoomLevel01.CustomStyles.Add(LineStyles.LocalRoad1);

            //Adds the second LineStyle of type OneWayLineStyle for displaying the arrow (geoImage) according to the street direction.
            OneWayLineStyle oneWayLineStyle = new OneWayLineStyle("ONE_WAY", "1", new GeoImage(@"..\..\App_Data\Arrow_up.png"));
            austinStreetsShapeLayer.ZoomLevelSet.ZoomLevel01.CustomStyles.Add(oneWayLineStyle);

            streetsOverlay.Layers.Add(austinStreetsShapeLayer);

            wpfMap1.CurrentExtent = new RectangleShape(-97.7679249129334, 30.3041064365845, -97.7468105635681, 30.2877771481018);
            wpfMap1.Refresh();
        }

    }
}
